Length Example

Using Programming Languages other than VBA

Sub Example_Length()
   ' This example adds a line in model space and returns the length of the new line

	Dim lineObj As AcadLine
	Dim startPoint(0 To 2) As Double, endPoint(0 To 2)  As Double

	' Define the start and end points for the line
	startPoint(0) = 1: startPoint(1) = 1: startPoint(2) = 0
	endPoint(0) = 5: endPoint(1) = 5: endPoint(2) = 0

	' Create the line in model space
	Set lineObj = ThisDrawing.ModelSpace.AddLine(startPoint, endPoint)

	ThisDrawing.Application.ZoomAll

	MsgBox "The length of the new Line is: " & lineObj.length
End Sub

 

   Comments?